## org.apache.batik.util
Class CleanerThread.WeakReferenceCleared

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.WeakReference
              org.apache.batik.util.CleanerThread.WeakReferenceCleared

All Implemented Interfaces:
  CleanerThread.ReferenceCleared

Direct Known Subclasses:
  DocumentDescriptor.Entry

Enclosing class:
  CleanerThread

public abstract static class CleanerThread.WeakReferenceCleared
extends java.lang.ref.WeakReference
implements CleanerThread.ReferenceCleared

A WeakReference subclass that automatically registers with the cleaner ReferenceQueue.

Constructor Summary
`CleanerThread.WeakReferenceCleared(java.lang.Object o)`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.util.CleanerThread.ReferenceCleared
`cleared`

Constructor Detail

### CleanerThread.WeakReferenceCleared

    public CleanerThread.WeakReferenceCleared(java.lang.Object o)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.